require "StandardMouseButton"
		
-- reserve constructor
PlayDemoDialog = 
{
	name = "PlayDemoDialog"
}

function PlayDemoDialog:Create(  )
	
	-- The main screen container
	local instance = root.dialogs[ self.name ];
	
	-- The ok button
	local okButton = instance.okButton
	
	instance:SetPosition( 139, 99 )
	
	-- The main init function
	function instance:Init( )

		StandardMouseButton( okButton );
		okButton:Init( )
	end

	-- Handle keyboard input for the dialog
	function instance:CharDown( i_Key )
		log( "On Key Down" .. i_Key )
	end

	-- The ok button
	function okButton:Init( )
		function okButton:Pressed( )
			instance:CloseAndSave( )
		end
	end
end

PlayDemoDialog:Create( )
